package de.ozgcloud.apilib.vorgang;

import java.time.ZonedDateTime;

public class OzgCloudEingangHeaderTestFactory {

	public static final String REQUEST_ID = OzgCloudVorgangTestFactory.VORGANG_NAME;

	public static final String CREATED_AT_STR = "2023-04-02T15:00:30Z";
	public static final ZonedDateTime CREATED_AT = ZonedDateTime.parse(CREATED_AT_STR);
	public static final String FORM_ID = "4177";
	public static final String FORM_NAME = OzgCloudVorgangTestFactory.VORGANG_NAME;
	public static final String FORM_ENGINE_NAME = "AFM";

	public static OzgCloudEingangHeader create() {
		return createBuilder().build();
	}

	public static OzgCloudEingangHeader.OzgCloudEingangHeaderBuilder createBuilder() {
		return OzgCloudEingangHeader.builder()
				.requestId(REQUEST_ID)
				.createdAt(CREATED_AT)
				.formId(FORM_ID)
				.formName(FORM_NAME)
				.formEngineName(FORM_ENGINE_NAME);
	}
}
